POST /api/v202310/budget

Creates a budget

CreateBudgetV202310 Permissions: BudgetsAndBudgetVersions (Create)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

BudgetCreate
Property Description Type
budgetDataTypeId The type of data this budget will use in its calculations. If BudgetPeriodTypeId is set to 2 (Accounting Period), this must be set to 1 (Billing Period) Required One of ‘2’, ‘1’ Case sensitive integer (int32)
budgetFiscalYear The fiscal year this budget represents Required integer (int32)
budgetInfo The budget name Max length of 50 Required string
budgetPeriodTypeId The calendarization method this budget will use Required One of ‘1’, ‘2’ Case sensitive integer (int32)
budgetUsageMethodId The method used to calculate the baseline budget values. If NumberOfDataYears is 1, this value is ignored and the data from the selected year is used Required One of ‘2’, ‘3’, ‘4’, ‘1’ Case sensitive integer (int32)
dataYearsEndPeriod The last period that should be included in the budget calculations (inclusive) Required integer (int32)
includeChargebackBills Flag to indicate if internal chargeback bills should be included in the budget calculations Required boolean
includeInactiveAccountMeters Flag to indicate if inactive account/meter relationships should be included in the budget calculations Required boolean
includeInactiveAccounts Flag to indicate if inactive accounts should be included in the budget calculations Required boolean
includeInactiveMeters Flag to indicate if inactive meters should be included in the budget calculations Required boolean
note The notes attached to this budget Max length of 255 string
numberOfDataYears Number of years of data to include in the budget calculations Required integer (int32)
Example Request Body application/json
{  "budgetDataTypeId": 1,  "budgetFiscalYear": 1,  "budgetInfo": "string",  "budgetPeriodTypeId": 1,  "budgetUsageMethodId": 1,  "dataYearsEndPeriod": 1,  "includeChargebackBills": false,  "includeInactiveAccountMeters": false,  "includeInactiveAccounts": false,  "includeInactiveMeters": false,  "note": "string",  "numberOfDataYears": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BudgetResponse
Property Description Type
activeTotalBudget The total budget of the active version number (double)
budgetDataType BudgetDataType
BudgetDataType properties
Property Description Type
budgetDataTypeId The budget data type identifier integer (int32)
budgetDataTypeInfo The budget data type name string
budgetId The budget identifier integer (int32)
budgetInfo The budget name string
budgetPeriodType BudgetPeriodType
BudgetPeriodType properties
Property Description Type
budgetPeriodTypeId The budget period type identifier integer (int32)
budgetPeriodTypeInfo The budget period type name string
budgetUsageMethod BudgetUsageMethod
BudgetUsageMethod properties
Property Description Type
budgetUsageMethodId The budget usage method identifier integer (int32)
budgetUsageMethodInfo The budget usage method name string
budgetYear The budget fiscal year integer (int32)
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date when the version was created string (date-time)
endPeriod Ending period for the budget integer (int32)
includeChargebackBills Should the budget include chargeback bills boolean
includeInactiveAccountMeters Should the budget include inactive account meters boolean
includeInactiveAccounts Should the budget include inactive accounts boolean
includeInactiveMeters Should the budget include inactive meters boolean
maxVersionNumber The highest version number associated with this budget integer (int32)
notes Notes for the budget string
numberOfVersions The number of versions associated with this budget integer (int32)
taskData TaskChild
TaskChild properties
Property Description Type
status Status of the task string
taskGUId GUID for the Task string (uuid)
taskId Identifier for the Task integer (int32)
yearsOfData Number of years used to generate the budget integer (int32)
Example Response application/json
{  "activeTotalBudget": 1.0,  "budgetDataType": {    "budgetDataTypeId": 1,    "budgetDataTypeInfo": "string"
  },  "budgetId": 1,  "budgetInfo": "string",  "budgetPeriodType": {    "budgetPeriodTypeId": 1,    "budgetPeriodTypeInfo": "string"
  },  "budgetUsageMethod": {    "budgetUsageMethodId": 1,    "budgetUsageMethodInfo": "string"
  },  "budgetYear": 1,  "createdBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30",  "endPeriod": 1,  "includeChargebackBills": false,  "includeInactiveAccountMeters": false,  "includeInactiveAccounts": false,  "includeInactiveMeters": false,  "maxVersionNumber": 1,  "notes": "string",  "numberOfVersions": 1,  "taskData": {    "status": "string",    "taskGUId": "string",    "taskId": 1
  },  "yearsOfData": 1
}